Package Details: discount 2.2.2-1

Git Clone URL: https://aur.archlinux.org/discount.git (read-only)
Package Base: discount
Description: A Markdown implementation written in C
Upstream URL: https://www.pell.portland.or.us/~orc/Code/discount/
Licenses: custom:BSD
Conflicts: markdown
Provides: markdown
Submitter: pnorcks
Maintainer: hcartiaux
Last Packager: hcartiaux
Votes: 52
Popularity: 0.903016
First Submitted: 2009-09-12 20:47
Last Updated: 2017-03-28 21:13

Dependencies (0)

Required by (56)

Sources (1)

Latest Comments

wobbol commented on 2017-03-28 22:44

`sed '<linenum>d' -i configure.inc` no longer does what it did in 2.2.1. To protect against this kind of failure in the future I've replaced it with something a bit more specific. I will post back here if the shared library portion does not work as expected. Verified `markdown` works.

Updates don't-run-ldconfig hack.
Updates pkgver.

--- PKGBUILD 2016-09-23 18:00:13.000000000 -0500
+++ PKGBUILD.new 2017-03-28 17:27:39.876592370 -0500
@@ -3,7 +3,7 @@
# Contributor: Patrick McCarty <pnorcks at gmail dot com>

pkgname=discount
-pkgver=2.2.1
+pkgver=2.2.2
pkgrel=1
pkgdesc="A Markdown implementation written in C"
arch=('i686' 'x86_64')
@@ -12,12 +12,12 @@
provides=('markdown')
conflicts=('markdown')
source=("http://www.pell.portland.or.us/~orc/Code/${pkgname}/${pkgname}-${pkgver}.tar.bz2")
-sha256sums=('88458c7c2cfc870f8e6cf42b300408c112e05a45c88f8af35abb33de0e96fe0e')
+sha256sums=('ec7916731e3ef8516336333f8b7aa9e2af51e57c0017b1e03fa43f1ba6978f64')

build() {
cd "$srcdir/$pkgname-$pkgver"
sed -e 's/m 444/m 644/g' -i configure.inc
- sed '1347d' -i configure.inc
+ sed -e '/test.*librarian.sh/d' -i configure.inc
./configure.sh --prefix=/usr --enable-all-features --with-fenced-code --shared
make
}

hcartiaux commented on 2014-02-27 10:50

Done

capitalaslash commented on 2014-02-26 14:08

according to [1], you should add the --with-fenced-code flag to the configuration.

[1]; https://github.com/cloose/CuteMarkEd/issues/111

hcartiaux commented on 2014-01-30 18:43

Thank you, I've updated the PKGBUILD.

drevilt commented on 2014-01-30 13:01

2.1.7 is out: https://github.com/Orc/discount/releases
the homepage does not seem to update this information.

hcartiaux commented on 2012-08-17 20:20

I've adopted this package and updated it to 2.1.5a ;)

hcartiaux commented on 2012-02-13 21:22

2.1.3 is out

pkgver=2.1.3
md5sums=('a1a4eade44f8141e38f2be7f2ed56c98'
'744609beab58d358a2109e622927f379')

hcartiaux commented on 2011-08-01 17:03

2.1.1.3 is out :

pkgver=2.1.1.3
md5sums=('24be7e70edff251d65e1129f0f7e7abb'
'744609beab58d358a2109e622927f379')

Anonymous comment on 2011-02-04 17:02

> Hmm, I didn't have that problem...

orly?

> ... the packaging fails for me:
> ... Permission denied

It's working for me now, so I'm not going to debug this.

pnorcks commented on 2011-02-04 02:59

Hmm, I didn't have that problem...

Is there something I can do to improve the package so that you won't run into this issue?

All comments